function food = initFood(  )
%INITFOOD Initialize food grid
%   food = initFood( SIDE ) returns a SIDE-by-SIDE matrix of food values
%   from 0 to 1 with a boundary of -1

global SIDE MEAN_FOOD STD_FOOD FOOD_CELL

% food values from 0 to 1
% % Uncomment first for constant food values of FOOD_CELL
% % Uncomment second for normal distribution with mean MEAN_FOOD 
% % and standard deviation STD_FOOD and no values less than 0
food = FOOD_CELL * ones(SIDE);
% food = max(0, MEAN_FOOD + STD_FOOD*randn(SIDE));

% keep toad off boundary by having no food there by having -1 on boundary
% % Uncomment first for not allowing toad on far east or west
% % Uncomment second for not allowing toad on far east but allowing on far
% % west
% food(2:SIDE-1, [1 SIDE]) = -1;
food(2:SIDE-1, SIDE) = -1;
food([1 SIDE], 1:SIDE) = -1;

end

