function [avgAlive avgDead avgMigrated] = multipleSimulations(numSimulations)
%MULTIPLESIMULATIONS calls CaneToads multiple times

global toads;

rand('seed', sum(100*clock))  % seed with time of day

totalAlive = 0;
totalDead = 0;
totalMigrated = 0;
for i = 1:numSimulations
    CaneToadsNoGraphics7;  % simulation not storing values for animation
    [countAlive countDead countMigrated] = getNumAlive( toads );
    totalAlive = totalAlive + countAlive;
    totalDead = totalDead + countDead;
    totalMigrated = totalMigrated + countMigrated;
end

avgAlive = totalAlive/numSimulations;
avgDead = totalDead/numSimulations;
avgMigrated = totalMigrated/numSimulations;

end
 