function aToad = useWaterEnergyHopping(aToad)
%USEWATERENERGYHOPPING A toad uses energy and perhaps water after a hop
%   aToad = useWaterEnergyHopping(aToad) reduces a toad's energy and if not in a
%   moist area, reduces the toad's water

global moisture MOIST_AREA WATER_HOPPING ENERGY_HOPPING;

if moisture(aToad.row, aToad.col) < MOIST_AREA
    aToad.water = aToad.water - WATER_HOPPING;    % use water hopping
end
aToad.energy = aToad.energy - ENERGY_HOPPING;  % use energy hopping

end

