function aToad = changeState( aToad )
%CHANGESTATE Kill or migrate toads that should be so
%   aToad = changeState( aToad ) changes state of toad if it has too little water
%   or energy to be alive or if it has migrated off the grid

global DESICCATE STARVE DEAD MIGRATED; 

if aToad.water < DESICCATE || aToad.energy < STARVE
    aToad.alive = DEAD;
    aToad.row = 0;
    aToad.col = 0;
elseif aToad.col == 1
    aToad.alive = MIGRATED;
end;

end
