function aToad = hopForFun( aToad )
%HOPFORFUN A toad takes a hop 
%   aToad = hopForFun( aToad ) updates toad location to hop in random
%   "legal" direction

global NUM_NEIGHBORS;

% get neighbors, including last place toad was and excluding current position
matLst = getNbrsLst( aToad, NUM_NEIGHBORS, false );
rowLst = matLst(:, 1);
colLst = matLst(:, 2);

% hop to random neighboring location
loc = randi(length(rowLst));
aToad.row = rowLst(loc);
aToad.col = colLst(loc);

% use energy and perhaps water after a hop
aToad = useWaterEnergyHopping(aToad);

end

