% main.m
%% simulation
% select type of seeding
% comment both for multiple simulations
rand('seed', 999)  % fixed seed
% rand('seed', sum(100*clock))  % seed with time of day

% % See bottom of init.m to change AWPs and fencing
% % See top of init.m to change number of simulation steps (NUM_STEPS)
% % See bottom of getNbrsLst.m, initFood.m, and initMoisture.m 
% % for allowing or not allowing migration to west
CaneToads7
figure
M = animWalk7(rowPath, colPath, foodGrids)
[countAlive countDead countMigrated] = getNumAlive( toads )

% 200 simulation steps
% With no AWPs fenced and no migration allowed, have 50 alive, 0 dead, 0 migrated at end
% With all AWPs fenced and no migration allowed, have 28 alive, 22 dead, 0 migrated at end
% With no AWPs fenced and migration allowed to west, have 33 alive, 0 dead, 17 migrated at end
% With all AWPs fenced and migration allowed to west, have 36 alive, 14 dead, 0 migrated at end

% 300 simulation steps
% With no AWPs fenced and migration allowed to west, have 5 alive, 11 dead, 34 migrated at end

%% multiple simulations averaged with no animation
numSimulations = 100;
[avgAlive avgDead avgMigrated] = multipleSimulations(numSimulations)

% % number of simulation steps (NUM_STEPS) = 300
% With all AWPs fenced and migration allowed to west:
% avgAlive = 0.72, avgDead = 49.2,  avgMigrated = 0.08