function aToad = useWaterEnergySitting(aToad)
%USEWATERENERGYSITTING aToad uses energy and perhaps water after sitting 
%   aToad = useWaterEnergySitting(aToad) reduces a aToad's energy and if not in a
%   moist area, reduces the aToad's water

global moisture MOIST_AREA WATER_HOPPING ENERGY_HOPPING;

if moisture(aToad.row, aToad.col) < MOIST_AREA
    aToad.water = aToad.water - 0.5*WATER_HOPPING;    % use water hopping
end
aToad.energy = aToad.energy - 0.5*ENERGY_HOPPING;  % use energy hopping

end

